<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Event</title>
</head>
<body>
    <h1>Event</h1>
    <!-- aggiungere eventi tramite attributo HTML -->
    <button id="btn-attribute" onclick="onClick()">Click me</button>

    <!-- aggiungere eventi tramite listener -->
    <button id="btn">Click me</button>
    <script>
        function onClick(){
            console.log('Button clicked!')
        }
        let button = document.querySelector('#btn');
        // button.addEventListener('click',onClick);
        button.addEventListener('click',onClick);
        button.addEventListener('dblclick',onDblClick);

        function onDblClick(event){
            console.log(event.type);
            // rimuoviamo il listener del click
            button.removeEventListener('click',onClick);
            // disabilitare il bottone
            button.setAttribute('disabled','disabled');
            // disabilitare l'altro bottone
            let buttonAttribute = document.getElementById('btn-attribute');
            // buttonAttribute.removeEventListener('click',onClick);
            buttonAttribute.removeAttribute('onclick');
        }
    </script>
</body>
</html>